GDB (xrefs)

Public Attributes | List of all members
dictionary Struct Reference

## Public Attributes
const struct language_defn * | language
const struct dict_vector * | vector
union {
struct dictionary_hashed hashed
struct dictionary_hashed_expandable hashed_expandable
struct dictionary_linear linear
struct dictionary_linear_expandable linear_expandable
} | data

## Detailed Description

Definition at line 165 of file dictionary.c.

## Member Data Documentation

## ◆ data

union { ... } dictionary::data

## ◆ hashed

struct dictionary_hashed dictionary::hashed

Definition at line 171 of file dictionary.c.

## ◆ hashed_expandable

struct dictionary_hashed_expandable dictionary::hashed_expandable

Definition at line 172 of file dictionary.c.

## ◆ language

const struct language_defn* dictionary::language

Definition at line 167 of file dictionary.c.

## ◆ linear

struct dictionary_linear dictionary::linear

Definition at line 173 of file dictionary.c.

## ◆ linear_expandable

struct dictionary_linear_expandable dictionary::linear_expandable

Definition at line 174 of file dictionary.c.

## ◆ vector

const struct dict_vector* dictionary::vector

Definition at line 168 of file dictionary.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dictionary.c